Patch Entity Property Source
curl --request PATCH \
--url https://statsigapi.net/console/v1/experiments/entity_property/{name} \
--header 'Content-Type: application/json' \
--header 'STATSIG-API-KEY: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"timestampColumn": "<string>",
"timestampAsDay": true,
"idTypeMapping": [
{
"statsigUnitID": "<string>",
"column": "<string>"
}
],
"isReadOnly": true,
"owner": {
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
}
}
'import requests
url = "https://statsigapi.net/console/v1/experiments/entity_property/{name}"
payload = {
"name": "<string>",
"description": "<string>",
"tags": ["<string>"],
"timestampColumn": "<string>",
"timestampAsDay": True,
"idTypeMapping": [
{
"statsigUnitID": "<string>",
"column": "<string>"
}
],
"isReadOnly": True,
"owner": {
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
}
}
headers = {
"STATSIG-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'STATSIG-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
tags: ['<string>'],
timestampColumn: '<string>',
timestampAsDay: true,
idTypeMapping: [{statsigUnitID: '<string>', column: '<string>'}],
isReadOnly: true,
owner: {
ownerID: 'user123',
ownerType: 'USER',
ownerName: 'John Doe',
ownerEmail: 'owner123@test.com'
}
})
};
fetch('https://statsigapi.net/console/v1/experiments/entity_property/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Entity Property Source updated successfully",
"data": {
"name": "Location",
"description": "This is the the location description",
"tags": [],
"sql": "SELECT * FROM shoppy-sales.setup.user_properties",
"timestampColumn": "timestamp",
"idTypeMapping": [
{
"statsigUnitID": "stableID",
"column": "user_id"
}
],
"timestampAsDay": true
}
}{
"status": 400,
"message": "Invalid request. Please check the request input and try again."
}{
"status": 401,
"message": "This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx"
}{
"status": 404,
"message": "Not Found. The requested resource could not be found."
}Experiments (Warehouse Native)
Patch Entity Property Source
PATCH
/
console
/
v1
/
experiments
/
entity_property
/
{name}
Patch Entity Property Source
Authorizations
Headers
Optional header to respect review settings for mutation endpoints.
Path Parameters
Name of entity property source
Body
application/json
Unique identifier for the entity property source.
Detailed context and purpose of the entity property source.
Tags for categorization and search.
Optional column name for timestamp.
Indicates if the timestamp is treated as a day.
Mappings of Statsig units to their columns.
Show child attributes
Show child attributes
Specifies if the source can only be edited via the Console API.
Schema for owner data including ID, type, name. Note that if Entity is created by CONSOLE API, owner will be undefined.
Show child attributes
Show child attributes
Example:
{
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
}
⌘I

